Hi,

yes, up to QuickFIX/J 1.6.2 it was compiled against JDK6. But for 1.6.3 (not released yet) I have now changed it to JDK7 and for the 1.7-SNAPSHOT version we will use JDK8 now. We were not using any JDK7/8 specific stuff so there was no real need until now. I'll have to admit that we even switched to JDK6 quite late (in 2013). Until then we even had a job that converted the compiled JDK5 classes to JDK4 code using retro translator. Doh. ;)


Cheers,
Chris.


On 18/10/16 11:07, Emmanuel Lécharny wrote:

Le 18/10/16 à 08:56, Christoph John a écrit :
Hi,

just a quick question. I have noticed that MINA 2.0.15 is compiled
with JDK7. Was that intentional? It is not a big problem, but I would
not have expected that in a patch release and also have found no JIRA
issue for this, so I could not check it earlier.
But I'll now go the same route and increase the JDK level in a patch
version for QuickFIX/J now. ;)
Just curious : you are still supporting Java 6 ?


--
Christoph John
Development & Support
Direct: +49 241 557080-28
Mailto:christoph.j...@macd.com
        


http://www.macd.com <http://www.macd.com/>
----------------------------------------------------------------------------------------------------
        
----------------------------------------------------------------------------------------------------
MACD GmbH
Oppenhoffallee 103
D-52066 Aachen
Tel: +49 241 557080-0 | Fax: +49 241 557080-10
         Amtsgericht Aachen: HRB 8151
Ust.-Id: DE 813021663

Geschäftsführer: George Macdonald
----------------------------------------------------------------------------------------------------
        
----------------------------------------------------------------------------------------------------

take care of the environment - print only if necessary

Reply via email to